package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:52
 */
@Data
@ApiModel("对账单明细model")
public class ReconciliaDetailResultModel  implements Serializable {
    @ApiModelProperty(name = "物料编号")
    private String partNo;


    @ApiModelProperty(name = "库存地编号")
    private String zoneNo;

    @ApiModelProperty(name = "仓库存储区编号")
    private String whNo;

    @ApiModelProperty(name = "业务类型")
    private Integer busiTypeCode;

    @ApiModelProperty(name = "IQ状态 正常异常")
    private Integer iQStatus;

    @ApiModelProperty(name = "单号")
    private String orderNo;

    @ApiModelProperty(name = "单据状态")
    public Integer orderStatus;

    @ApiModelProperty(name = "库存移动单号")
    private String moveNo;

    @ApiModelProperty(name = "处理数量")
    private Double handleQty;

    @ApiModelProperty(name = "移动单状态")
    private Integer moveItemStatus;

    @ApiModelProperty(name = "movetoerp状态")
    private Integer moveToERPStatus;


    @ApiModelProperty(name = "中间表状态")
    private Integer middleTableStatus;
    @ApiModelProperty(name = "oQ状态 正常异常")
    private Integer oQStatus;


}
